﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using PontosCulturais.Contexto;

namespace PontosCulturais.Migrations
{
    [DbContext(typeof(AppContexto))]
    [Migration("20200905234227_ObrigatorioComprovanteAtividades")]
    partial class ObrigatorioComprovanteAtividades
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "3.1.7")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("PontosCulturais.Models.CadastroEspaçoCultural.AnexosEspaçoCulturalModelo", b =>
                {
                    b.Property<int>("PessoaFísicaId")
                        .HasColumnType("int");

                    b.Property<string>("ComprovanteAlvará")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("ComprovanteAtuação")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("ComprovanteCNPJ")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("ComprovanteEndereço")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("ComprovanteFuncionários")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int?>("PessoaFísicaId1")
                        .HasColumnType("int");

                    b.HasKey("PessoaFísicaId");

                    b.HasIndex("PessoaFísicaId1");

                    b.ToTable("EspaçoCulturalAnexos");
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroEspaçoCultural.EquipamentoCulturalModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Nome")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("EquipamentosCulturais");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Nome = "Antiquários"
                        },
                        new
                        {
                            Id = 2,
                            Nome = "Arquivo"
                        },
                        new
                        {
                            Id = 3,
                            Nome = "Ateliê"
                        },
                        new
                        {
                            Id = 4,
                            Nome = "Biblioteca"
                        },
                        new
                        {
                            Id = 5,
                            Nome = "Casa de Cultura"
                        },
                        new
                        {
                            Id = 6,
                            Nome = "Casa de Eventos"
                        },
                        new
                        {
                            Id = 7,
                            Nome = "Centro Cultural"
                        },
                        new
                        {
                            Id = 8,
                            Nome = "Centro de Educação Musical"
                        },
                        new
                        {
                            Id = 9,
                            Nome = "Centro de Tradições"
                        },
                        new
                        {
                            Id = 10,
                            Nome = "Cinema ou Cineclube"
                        },
                        new
                        {
                            Id = 11,
                            Nome = "Circo"
                        },
                        new
                        {
                            Id = 12,
                            Nome = "Danceteria, Gafieira ou Casas de Dança"
                        },
                        new
                        {
                            Id = 13,
                            Nome = "Editora"
                        },
                        new
                        {
                            Id = 14,
                            Nome = "Escola de Artes"
                        },
                        new
                        {
                            Id = 15,
                            Nome = "Estúdio"
                        },
                        new
                        {
                            Id = 16,
                            Nome = "Feira ou Mercado Público"
                        },
                        new
                        {
                            Id = 17,
                            Nome = "Galeria de Arte"
                        },
                        new
                        {
                            Id = 18,
                            Nome = "Livraria ou Sebo"
                        },
                        new
                        {
                            Id = 19,
                            Nome = "Locadora de Vídeo"
                        },
                        new
                        {
                            Id = 20,
                            Nome = "Loja de Discos"
                        },
                        new
                        {
                            Id = 21,
                            Nome = "Museu ou Centro de Memória"
                        },
                        new
                        {
                            Id = 22,
                            Nome = "Parque de Diversões"
                        },
                        new
                        {
                            Id = 23,
                            Nome = "Parque de Vaquejada"
                        },
                        new
                        {
                            Id = 24,
                            Nome = "Pátio de Eventos"
                        },
                        new
                        {
                            Id = 25,
                            Nome = "Produtora"
                        },
                        new
                        {
                            Id = 26,
                            Nome = "Quadra de Escolas de Samba"
                        },
                        new
                        {
                            Id = 27,
                            Nome = "Teatro"
                        },
                        new
                        {
                            Id = 28,
                            Nome = "Terreiro"
                        },
                        new
                        {
                            Id = 29,
                            Nome = "Sede de grupo, entidade ou empresa"
                        },
                        new
                        {
                            Id = 30,
                            Nome = "Outro"
                        });
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroEspaçoCultural.EspaçoCulturalEquipamentoCulturalModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("EquipamentoCulturalId")
                        .HasColumnType("int");

                    b.Property<int>("EspaçoCulturalId")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("EquipamentoCulturalId");

                    b.HasIndex("EspaçoCulturalId");

                    b.ToTable("EspaçoCulturalEquipamentoCultural");
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroEspaçoCultural.EspaçoCulturalModoFuncionamentoModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("EspaçoCulturalId")
                        .HasColumnType("int");

                    b.Property<int>("ModoFuncionamentoId")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("EspaçoCulturalId");

                    b.HasIndex("ModoFuncionamentoId");

                    b.ToTable("EspaçoCulturalModoFuncionamento");
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroEspaçoCultural.EspaçoCulturalSegmentoCulturalModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("EspaçoCulturalId")
                        .HasColumnType("int");

                    b.Property<int>("SegmentoCulturalId")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("EspaçoCulturalId");

                    b.HasIndex("SegmentoCulturalId");

                    b.ToTable("EspaçoCulturalSegmentoCultural");
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroEspaçoCultural.EspaçoCulturalTiposAtividadeModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("EspaçoCulturalId")
                        .HasColumnType("int");

                    b.Property<int>("TipoDeAtividadeId")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("EspaçoCulturalId");

                    b.HasIndex("TipoDeAtividadeId");

                    b.ToTable("EspaçoCulturalTipoAtividade");
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroEspaçoCultural.GastoAnualModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Nome")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("GastosAnuais");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Nome = "R$0,00"
                        },
                        new
                        {
                            Id = 2,
                            Nome = "De R$0,01 a R$60.000,00"
                        },
                        new
                        {
                            Id = 3,
                            Nome = "De R$60.0000,01 a R$110.000,00"
                        },
                        new
                        {
                            Id = 4,
                            Nome = "De R$110.0000,01 a R$160.000,00"
                        },
                        new
                        {
                            Id = 5,
                            Nome = "De R$160.0000,01 a R$210.000,00"
                        },
                        new
                        {
                            Id = 6,
                            Nome = "De R$210.0000,01 a R$260.000,00"
                        },
                        new
                        {
                            Id = 7,
                            Nome = "De R$260.0000,01 a R$310.000,00"
                        },
                        new
                        {
                            Id = 8,
                            Nome = "De R$310.0000,01 a R$360.000,00"
                        },
                        new
                        {
                            Id = 9,
                            Nome = "Acima de 360.000,01"
                        });
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroEspaçoCultural.ModoFuncionamentoModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Nome")
                        .HasColumnType("nvarchar(100)")
                        .HasMaxLength(100);

                    b.HasKey("Id");

                    b.ToTable("ModosFuncionamento");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Nome = "Aberto Gratuitamente ao Público Geral"
                        },
                        new
                        {
                            Id = 2,
                            Nome = "Aberto Gratuitamente a um Público Específico"
                        },
                        new
                        {
                            Id = 3,
                            Nome = "Mediante Mensalidade"
                        },
                        new
                        {
                            Id = 4,
                            Nome = "Mediante Diária"
                        },
                        new
                        {
                            Id = 5,
                            Nome = "Espaço Privado de Uso Particular"
                        },
                        new
                        {
                            Id = 6,
                            Nome = "Prestação de Serviços Mediante Pagamento"
                        },
                        new
                        {
                            Id = 7,
                            Nome = "Venda De Produtos"
                        },
                        new
                        {
                            Id = 8,
                            Nome = "Outro"
                        });
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroEspaçoCultural.OrigemRecursosEspaçoCulturalModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("EspaçoCulturalId")
                        .HasColumnType("int");

                    b.Property<int>("OrigemRecursosId")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("EspaçoCulturalId");

                    b.HasIndex("OrigemRecursosId");

                    b.ToTable("OrigemRecursosEspaçoCultural");
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroEspaçoCultural.OrigemRecursosModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Nome")
                        .IsRequired()
                        .HasColumnType("nvarchar(100)")
                        .HasMaxLength(100);

                    b.HasKey("Id");

                    b.ToTable("OrigemRecursos");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Nome = "Programa Municipal de Incentivo à Cultura"
                        },
                        new
                        {
                            Id = 2,
                            Nome = "Leis Municipais de Incentivo"
                        },
                        new
                        {
                            Id = 3,
                            Nome = "Leis Estaduais de Incentivo"
                        },
                        new
                        {
                            Id = 4,
                            Nome = "Lei Rouanet"
                        },
                        new
                        {
                            Id = 5,
                            Nome = "Ancine"
                        },
                        new
                        {
                            Id = 6,
                            Nome = "Outras Ações de Órgãos Públicos Nacionais"
                        },
                        new
                        {
                            Id = 7,
                            Nome = "Arrecadação de Recursos Através da Internet"
                        },
                        new
                        {
                            Id = 8,
                            Nome = "Venda Rifas, Almoço, Festas, etc."
                        },
                        new
                        {
                            Id = 9,
                            Nome = "Patrocínio de Empresas Privadas"
                        },
                        new
                        {
                            Id = 10,
                            Nome = "Mensalidades"
                        },
                        new
                        {
                            Id = 11,
                            Nome = "Bilheteria"
                        },
                        new
                        {
                            Id = 12,
                            Nome = "Doações e/ou Contribuições Espontâneas"
                        },
                        new
                        {
                            Id = 13,
                            Nome = "Venda de Produtos/Serviços no Setor Cultural"
                        },
                        new
                        {
                            Id = 14,
                            Nome = "Outro"
                        });
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroEspaçoCultural.ReceitaAnualModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Nome")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("ReceitasAnuais");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Nome = "R$0,00"
                        },
                        new
                        {
                            Id = 2,
                            Nome = "De R$0,01 a R$60.000,00"
                        },
                        new
                        {
                            Id = 3,
                            Nome = "De R$60.0000,01 a R$110.000,00"
                        },
                        new
                        {
                            Id = 4,
                            Nome = "De R$110.0000,01 a R$160.000,00"
                        },
                        new
                        {
                            Id = 5,
                            Nome = "De R$160.0000,01 a R$210.000,00"
                        },
                        new
                        {
                            Id = 6,
                            Nome = "De R$210.0000,01 a R$260.000,00"
                        },
                        new
                        {
                            Id = 7,
                            Nome = "De R$260.0000,01 a R$310.000,00"
                        },
                        new
                        {
                            Id = 8,
                            Nome = "De R$310.0000,01 a R$360.000,00"
                        },
                        new
                        {
                            Id = 9,
                            Nome = "Acima de 360.000,01"
                        });
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroEspaçoCultural.SituaçãoAtividadeModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Nome")
                        .HasColumnType("nvarchar(20)")
                        .HasMaxLength(20);

                    b.HasKey("Id");

                    b.ToTable("SituaçõesAtividade");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Nome = "Adiada"
                        },
                        new
                        {
                            Id = 2,
                            Nome = "Cancelada"
                        },
                        new
                        {
                            Id = 3,
                            Nome = "Paralisada"
                        },
                        new
                        {
                            Id = 4,
                            Nome = "Indefinida"
                        },
                        new
                        {
                            Id = 5,
                            Nome = "Reduzida"
                        });
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroEspaçoCultural.SituaçãoBeneficiárioModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Nome")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("SituaçãoBeneficiário");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Nome = "Espaço Alugado"
                        },
                        new
                        {
                            Id = 2,
                            Nome = "Espaço Emprestado ou de Uso Compartilhado"
                        },
                        new
                        {
                            Id = 3,
                            Nome = "Espaço Itinerante"
                        },
                        new
                        {
                            Id = 4,
                            Nome = "Espaço Próprio"
                        },
                        new
                        {
                            Id = 6,
                            Nome = "Espaço Público"
                        },
                        new
                        {
                            Id = 7,
                            Nome = "Espaço Público Cedido em Comodato"
                        },
                        new
                        {
                            Id = 8,
                            Nome = "Espaço Virtual"
                        });
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroEspaçoCultural.TipoDeAtividadeModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Nome")
                        .IsRequired()
                        .HasColumnType("nvarchar(30)")
                        .HasMaxLength(30);

                    b.HasKey("Id");

                    b.ToTable("TiposAtividadesEspaçoCultural");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Nome = "Aulas e Cursos"
                        },
                        new
                        {
                            Id = 2,
                            Nome = "Apresentações Artísticas"
                        },
                        new
                        {
                            Id = 3,
                            Nome = "Exibição de Filmes"
                        },
                        new
                        {
                            Id = 4,
                            Nome = "Ensaios"
                        },
                        new
                        {
                            Id = 5,
                            Nome = "Palestras"
                        },
                        new
                        {
                            Id = 6,
                            Nome = "Exposição de Arte"
                        },
                        new
                        {
                            Id = 7,
                            Nome = "Outro"
                        });
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroPessoaFísica.BancoModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Código")
                        .IsRequired()
                        .HasColumnType("nvarchar(10)")
                        .HasMaxLength(10);

                    b.Property<string>("Nome")
                        .IsRequired()
                        .HasColumnType("nvarchar(50)")
                        .HasMaxLength(50);

                    b.HasKey("Id");

                    b.ToTable("Bancos");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Código = "001",
                            Nome = "Banco do Brasil S.A."
                        },
                        new
                        {
                            Id = 2,
                            Código = "237",
                            Nome = "Banco Bradesco S.A."
                        },
                        new
                        {
                            Id = 3,
                            Código = "104",
                            Nome = "Caixa Econômica Federal"
                        },
                        new
                        {
                            Id = 4,
                            Código = "745",
                            Nome = "Banco Citibank S.A."
                        },
                        new
                        {
                            Id = 5,
                            Código = "341",
                            Nome = "Banco Itaú S.A."
                        },
                        new
                        {
                            Id = 6,
                            Código = "652",
                            Nome = "Itaú Unibanco Holding S.A."
                        },
                        new
                        {
                            Id = 7,
                            Código = "422",
                            Nome = "Banco Safra S.A."
                        },
                        new
                        {
                            Id = 8,
                            Código = "033",
                            Nome = "Banco Santander S.A."
                        },
                        new
                        {
                            Id = 9,
                            Código = "260",
                            Nome = "Nu Pagamentos S.A (Nubank)"
                        },
                        new
                        {
                            Id = 10,
                            Código = "290",
                            Nome = "Pagseguro Internet S.A"
                        },
                        new
                        {
                            Id = 11,
                            Código = "323",
                            Nome = "Mercado Pago"
                        },
                        new
                        {
                            Id = 12,
                            Código = "237",
                            Nome = "Banco Bradesco S.A / Next"
                        },
                        new
                        {
                            Id = 13,
                            Código = "077",
                            Nome = "Banco Inter"
                        },
                        new
                        {
                            Id = 14,
                            Código = "336",
                            Nome = "Banco C6 S.A – C6 Bank"
                        });
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroPessoaFísica.ComunidadeTradicionalModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Nome")
                        .IsRequired()
                        .HasColumnType("nvarchar(30)")
                        .HasMaxLength(30);

                    b.HasKey("Id");

                    b.ToTable("ComunidadesTradicionais");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Nome = "Indígenas"
                        },
                        new
                        {
                            Id = 2,
                            Nome = "Quilombolas"
                        },
                        new
                        {
                            Id = 3,
                            Nome = "Ciganos(as)"
                        },
                        new
                        {
                            Id = 4,
                            Nome = "Comunidades Ribeirinhas"
                        },
                        new
                        {
                            Id = 5,
                            Nome = "Comunidades Rurais"
                        },
                        new
                        {
                            Id = 6,
                            Nome = "Pescadores Artesanais"
                        },
                        new
                        {
                            Id = 7,
                            Nome = "Povos de Terreiro"
                        },
                        new
                        {
                            Id = 8,
                            Nome = "Outra"
                        },
                        new
                        {
                            Id = 9,
                            Nome = "Nenhuma"
                        });
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroPessoaFísica.DeficiênciaModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Nome")
                        .IsRequired()
                        .HasColumnType("nvarchar(20)")
                        .HasMaxLength(20);

                    b.HasKey("Id");

                    b.ToTable("Deficiências");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Nome = "Física"
                        },
                        new
                        {
                            Id = 2,
                            Nome = "Auditiva"
                        },
                        new
                        {
                            Id = 3,
                            Nome = "Visual"
                        },
                        new
                        {
                            Id = 4,
                            Nome = "Intelectual"
                        },
                        new
                        {
                            Id = 5,
                            Nome = "Múltipla"
                        },
                        new
                        {
                            Id = 6,
                            Nome = "Nenhuma"
                        });
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroPessoaFísica.DocumentosPessoaFísicaModelo", b =>
                {
                    b.Property<int>("PessoaFísicaId")
                        .HasColumnType("int");

                    b.Property<string>("ComprovanteAtividades")
                        .IsRequired()
                        .HasColumnType("nvarchar(200)")
                        .HasMaxLength(200);

                    b.Property<string>("ComprovanteBancário")
                        .IsRequired()
                        .HasColumnType("nvarchar(200)")
                        .HasMaxLength(200);

                    b.Property<string>("ComprovanteCPF")
                        .IsRequired()
                        .HasColumnType("nvarchar(200)")
                        .HasMaxLength(200);

                    b.Property<string>("ComprovanteEndereço")
                        .IsRequired()
                        .HasColumnType("nvarchar(200)")
                        .HasMaxLength(200);

                    b.Property<string>("FrenteRGCNH")
                        .IsRequired()
                        .HasColumnType("nvarchar(200)")
                        .HasMaxLength(200);

                    b.Property<int?>("PessoaFísicaId1")
                        .HasColumnType("int");

                    b.Property<string>("Selfie")
                        .IsRequired()
                        .HasColumnType("nvarchar(200)")
                        .HasMaxLength(200);

                    b.Property<string>("VersoRGCNG")
                        .IsRequired()
                        .HasColumnType("nvarchar(200)")
                        .HasMaxLength(200);

                    b.HasKey("PessoaFísicaId");

                    b.HasIndex("PessoaFísicaId1");

                    b.ToTable("DocumentosPessoaFísica");
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroPessoaFísica.FunçãoCulturalModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Nome")
                        .IsRequired()
                        .HasColumnType("nvarchar(50)")
                        .HasMaxLength(50);

                    b.HasKey("Id");

                    b.ToTable("FunçõesCulturais");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Nome = "Artista, Artesão(ã), Bricante ou Cantor(a)"
                        },
                        new
                        {
                            Id = 2,
                            Nome = "Consultor(a) ou Curador(a)"
                        },
                        new
                        {
                            Id = 3,
                            Nome = "Produtor(a) ou Gestor(a)"
                        },
                        new
                        {
                            Id = 4,
                            Nome = "Técnico(a)"
                        },
                        new
                        {
                            Id = 5,
                            Nome = "Outro"
                        });
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroPessoaFísica.GêneroModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Nome")
                        .IsRequired()
                        .HasColumnType("nvarchar(50)")
                        .HasMaxLength(50);

                    b.HasKey("Id");

                    b.ToTable("Gêneros");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Nome = "Homem Cis"
                        },
                        new
                        {
                            Id = 2,
                            Nome = "Mulher Cis"
                        },
                        new
                        {
                            Id = 3,
                            Nome = "Mulher Trans/Travesti"
                        },
                        new
                        {
                            Id = 4,
                            Nome = "Homem Trans"
                        },
                        new
                        {
                            Id = 5,
                            Nome = "Não-Binárie/Outro"
                        },
                        new
                        {
                            Id = 6,
                            Nome = "Não Declarar"
                        });
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroPessoaFísica.RaçaModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Nome")
                        .IsRequired()
                        .HasColumnType("nvarchar(30)")
                        .HasMaxLength(30);

                    b.HasKey("Id");

                    b.ToTable("Raças");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Nome = "Parda"
                        },
                        new
                        {
                            Id = 2,
                            Nome = "Branca"
                        },
                        new
                        {
                            Id = 3,
                            Nome = "Amarela"
                        },
                        new
                        {
                            Id = 4,
                            Nome = "Indígena"
                        },
                        new
                        {
                            Id = 5,
                            Nome = "Não Declarar"
                        },
                        new
                        {
                            Id = 6,
                            Nome = "Preta"
                        });
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroPessoaFísica.ResidenteModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("CPFOuCertidão")
                        .HasColumnType("nvarchar(50)")
                        .HasMaxLength(50);

                    b.Property<int>("CadastroPessoaFísicaModeloId")
                        .HasColumnType("int");

                    b.Property<string>("Nome")
                        .IsRequired()
                        .HasColumnType("nvarchar(100)")
                        .HasMaxLength(100);

                    b.Property<string>("Parentesco")
                        .IsRequired()
                        .HasColumnType("nvarchar(30)")
                        .HasMaxLength(30);

                    b.HasKey("Id");

                    b.HasIndex("CadastroPessoaFísicaModeloId");

                    b.ToTable("Residentes");
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroPessoaFísica.SegmentoCulturalPessoaFísicaModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("PessoaFísicaId")
                        .HasColumnType("int");

                    b.Property<int>("SegmentoCulturalId")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("PessoaFísicaId");

                    b.HasIndex("SegmentoCulturalId");

                    b.ToTable("SegmentoCulturalPessoaFísica");
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroPessoaFísica.SituaçãoTrabalhoModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Nome")
                        .IsRequired()
                        .HasColumnType("nvarchar(50)")
                        .HasMaxLength(50);

                    b.HasKey("Id");

                    b.ToTable("SituaçõesTrabalho");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Nome = "Trabalho com carteira assinada"
                        },
                        new
                        {
                            Id = 2,
                            Nome = "Trabalho sem carteira assinada"
                        },
                        new
                        {
                            Id = 3,
                            Nome = "Sou autônomo"
                        },
                        new
                        {
                            Id = 4,
                            Nome = "Já trabalhei, mas atualmente estou desempregado"
                        },
                        new
                        {
                            Id = 5,
                            Nome = "Nunca trabalhei"
                        });
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroPessoaFísica.TipoContaBancáriaModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Nome")
                        .IsRequired()
                        .HasColumnType("nvarchar(30)")
                        .HasMaxLength(30);

                    b.HasKey("Id");

                    b.ToTable("TiposContaBancária");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Nome = "Conta Corrente"
                        },
                        new
                        {
                            Id = 2,
                            Nome = "Conta Poupança"
                        });
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroPessoaFísicaModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Atuação")
                        .IsRequired()
                        .HasColumnType("nvarchar(1000)")
                        .HasMaxLength(1000);

                    b.Property<bool>("AutorizaçãoCruzamentoDeDados")
                        .HasColumnType("bit");

                    b.Property<string>("Bairro")
                        .IsRequired()
                        .HasColumnType("nvarchar(50)")
                        .HasMaxLength(50);

                    b.Property<int>("BancoId")
                        .HasColumnType("int");

                    b.Property<string>("CPF")
                        .IsRequired()
                        .HasColumnType("nvarchar(11)")
                        .HasMaxLength(11);

                    b.Property<bool>("CadastrarEspaçoCultural")
                        .HasColumnType("bit");

                    b.Property<string>("ComplementoEndereço")
                        .HasColumnType("nvarchar(100)")
                        .HasMaxLength(100);

                    b.Property<int>("ComunidadeTradicionalId")
                        .HasColumnType("int");

                    b.Property<string>("ContaBancária")
                        .IsRequired()
                        .HasColumnType("nvarchar(20)")
                        .HasMaxLength(20);

                    b.Property<string>("CódigoOperação")
                        .HasColumnType("nvarchar(10)")
                        .HasMaxLength(10);

                    b.Property<bool>("DeclaraçãoAtuaçãoCulturaAtualmente")
                        .HasColumnType("bit");

                    b.Property<bool>("DeclaraçãoAtuaçãoCulturaDoisAnos")
                        .HasColumnType("bit");

                    b.Property<bool>("DeclaraçãoBaixaRenda")
                        .HasColumnType("bit");

                    b.Property<bool>("DeclaraçãoBaixoRendimento2018")
                        .HasColumnType("bit");

                    b.Property<bool>("DeclaraçãoNãoRecebeAuxílioEmergencial")
                        .HasColumnType("bit");

                    b.Property<bool>("DeclaraçãoNãoRecebeBenefício")
                        .HasColumnType("bit");

                    b.Property<bool>("DeclaraçãoRendimentoMédio")
                        .HasColumnType("bit");

                    b.Property<bool>("DeclaraçãoVeracidadeDados")
                        .HasColumnType("bit");

                    b.Property<bool>("DeclaraçãoÑãoRecebeSeguroDesemprego")
                        .HasColumnType("bit");

                    b.Property<int>("DeficiênciaId")
                        .HasColumnType("int");

                    b.Property<string>("Email")
                        .IsRequired()
                        .HasColumnType("nvarchar(50)")
                        .HasMaxLength(50);

                    b.Property<string>("Endereço")
                        .IsRequired()
                        .HasColumnType("nvarchar(100)")
                        .HasMaxLength(100);

                    b.Property<int>("FunçãoCulturalId")
                        .HasColumnType("int");

                    b.Property<int>("GêneroDeclaradoId")
                        .HasColumnType("int");

                    b.Property<bool>("MulherProvedora")
                        .HasColumnType("bit");

                    b.Property<DateTime>("Nascimento")
                        .HasColumnType("datetime2");

                    b.Property<string>("NomeCompleto")
                        .IsRequired()
                        .HasColumnType("nvarchar(100)")
                        .HasMaxLength(100);

                    b.Property<string>("NomeMãe")
                        .IsRequired()
                        .HasColumnType("nvarchar(100)")
                        .HasMaxLength(100);

                    b.Property<string>("NomeSocial")
                        .HasColumnType("nvarchar(100)")
                        .HasMaxLength(100);

                    b.Property<string>("PaísNascimento")
                        .HasColumnType("nvarchar(15)")
                        .HasMaxLength(15);

                    b.Property<string>("RG")
                        .IsRequired()
                        .HasColumnType("nvarchar(15)")
                        .HasMaxLength(15);

                    b.Property<int>("RaçaId")
                        .HasColumnType("int");

                    b.Property<string>("Senha")
                        .IsRequired()
                        .HasColumnType("nvarchar(50)")
                        .HasMaxLength(50);

                    b.Property<int>("SituaçãoTrabalhoId")
                        .HasColumnType("int");

                    b.Property<string>("Telefone01")
                        .IsRequired()
                        .HasColumnType("nvarchar(11)")
                        .HasMaxLength(11);

                    b.Property<string>("Telefone02")
                        .HasColumnType("nvarchar(11)")
                        .HasMaxLength(11);

                    b.Property<int>("TipoContaBancáriaId")
                        .HasColumnType("int");

                    b.Property<string>("ÓrgãoEstado")
                        .IsRequired()
                        .HasColumnType("nvarchar(10)")
                        .HasMaxLength(10);

                    b.HasKey("Id");

                    b.HasIndex("BancoId");

                    b.HasIndex("CPF")
                        .IsUnique();

                    b.HasIndex("ComunidadeTradicionalId");

                    b.HasIndex("DeficiênciaId");

                    b.HasIndex("Email")
                        .IsUnique();

                    b.HasIndex("FunçãoCulturalId");

                    b.HasIndex("GêneroDeclaradoId");

                    b.HasIndex("RG")
                        .IsUnique();

                    b.HasIndex("RaçaId");

                    b.HasIndex("SituaçãoTrabalhoId");

                    b.HasIndex("TipoContaBancáriaId");

                    b.ToTable("PessoasFísicas");
                });

            modelBuilder.Entity("PontosCulturais.Models.EspaçoCulturalSimplesModelo", b =>
                {
                    b.Property<int>("PessoaFísicaId")
                        .HasColumnType("int");

                    b.Property<bool>("AtendimentoPago")
                        .HasColumnType("bit");

                    b.Property<string>("Bairro")
                        .IsRequired()
                        .HasColumnType("nvarchar(50)")
                        .HasMaxLength(50);

                    b.Property<string>("Cnpj")
                        .HasColumnType("nvarchar(14)")
                        .HasMaxLength(14);

                    b.Property<DateTime>("DataFuncionamento")
                        .HasColumnType("datetime2");

                    b.Property<bool>("DeclaraçãoInformaçõesVerídicas")
                        .HasColumnType("bit");

                    b.Property<bool>("DocumentoVínculoEmpregatícioFuncionários")
                        .HasColumnType("bit");

                    b.Property<string>("Endereço")
                        .IsRequired()
                        .HasColumnType("nvarchar(100)")
                        .HasMaxLength(100);

                    b.Property<int>("Funcionários")
                        .HasColumnType("int");

                    b.Property<int>("GastoAnualId")
                        .HasColumnType("int");

                    b.Property<string>("InformaçõesAdicionaisAtuação")
                        .HasColumnType("nvarchar(200)")
                        .HasMaxLength(200);

                    b.Property<bool>("InterrompidoPelaPandemia")
                        .HasColumnType("bit");

                    b.Property<int>("LotaçãoMáxima")
                        .HasColumnType("int");

                    b.Property<string>("Nome")
                        .IsRequired()
                        .HasColumnType("nvarchar(50)")
                        .HasMaxLength(50);

                    b.Property<string>("NomePopular")
                        .HasColumnType("nvarchar(50)")
                        .HasMaxLength(50);

                    b.Property<int?>("PessoaFísicaId1")
                        .HasColumnType("int");

                    b.Property<bool>("PossuiAlvaráDeFuncionamento")
                        .HasColumnType("bit");

                    b.Property<string>("RazãoSocial")
                        .HasColumnType("nvarchar(50)")
                        .HasMaxLength(50);

                    b.Property<int>("ReceitaAnualId")
                        .HasColumnType("int");

                    b.Property<int>("SituaçãoAtividadeId")
                        .HasColumnType("int");

                    b.Property<int>("SituaçãoEspaçoId")
                        .HasColumnType("int");

                    b.Property<string>("Telefone")
                        .HasColumnType("nvarchar(11)")
                        .HasMaxLength(11);

                    b.Property<string>("TipoAtendimento")
                        .IsRequired()
                        .HasColumnType("nvarchar(1000)")
                        .HasMaxLength(1000);

                    b.HasKey("PessoaFísicaId");

                    b.HasIndex("GastoAnualId");

                    b.HasIndex("PessoaFísicaId1");

                    b.HasIndex("ReceitaAnualId");

                    b.HasIndex("SituaçãoAtividadeId");

                    b.HasIndex("SituaçãoEspaçoId");

                    b.ToTable("EspaçosCulturais");
                });

            modelBuilder.Entity("PontosCulturais.Models.SegmentoCulturalModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Nome")
                        .IsRequired()
                        .HasColumnType("nvarchar(30)")
                        .HasMaxLength(30);

                    b.HasKey("Id");

                    b.ToTable("SegmentosCulturais");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Nome = "Patrimônio Cultural"
                        },
                        new
                        {
                            Id = 2,
                            Nome = "Artes Circenses"
                        },
                        new
                        {
                            Id = 3,
                            Nome = "Artes de Dança"
                        },
                        new
                        {
                            Id = 4,
                            Nome = "Artes de Teatro"
                        },
                        new
                        {
                            Id = 5,
                            Nome = "Artes Visuais"
                        },
                        new
                        {
                            Id = 6,
                            Nome = "Artesanato"
                        },
                        new
                        {
                            Id = 7,
                            Nome = "Áudiovisual"
                        },
                        new
                        {
                            Id = 8,
                            Nome = "Cultura Popular"
                        },
                        new
                        {
                            Id = 9,
                            Nome = "Design"
                        },
                        new
                        {
                            Id = 10,
                            Nome = "Fotografia"
                        },
                        new
                        {
                            Id = 11,
                            Nome = "Gastronomia"
                        },
                        new
                        {
                            Id = 12,
                            Nome = "Literatura"
                        },
                        new
                        {
                            Id = 13,
                            Nome = "Moda"
                        },
                        new
                        {
                            Id = 14,
                            Nome = "Música"
                        },
                        new
                        {
                            Id = 15,
                            Nome = "Ópera"
                        },
                        new
                        {
                            Id = 16,
                            Nome = "Outro"
                        });
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroEspaçoCultural.AnexosEspaçoCulturalModelo", b =>
                {
                    b.HasOne("PontosCulturais.Models.CadastroPessoaFísicaModelo", "PessoaFísica")
                        .WithMany()
                        .HasForeignKey("PessoaFísicaId1");
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroEspaçoCultural.EspaçoCulturalEquipamentoCulturalModelo", b =>
                {
                    b.HasOne("PontosCulturais.Models.CadastroEspaçoCultural.EquipamentoCulturalModelo", "EquipamentoCultural")
                        .WithMany()
                        .HasForeignKey("EquipamentoCulturalId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("PontosCulturais.Models.EspaçoCulturalSimplesModelo", "EspaçoCultural")
                        .WithMany()
                        .HasForeignKey("EspaçoCulturalId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroEspaçoCultural.EspaçoCulturalModoFuncionamentoModelo", b =>
                {
                    b.HasOne("PontosCulturais.Models.EspaçoCulturalSimplesModelo", "EspaçoCultural")
                        .WithMany()
                        .HasForeignKey("EspaçoCulturalId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("PontosCulturais.Models.CadastroEspaçoCultural.ModoFuncionamentoModelo", "ModoFuncionamento")
                        .WithMany()
                        .HasForeignKey("ModoFuncionamentoId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroEspaçoCultural.EspaçoCulturalSegmentoCulturalModelo", b =>
                {
                    b.HasOne("PontosCulturais.Models.EspaçoCulturalSimplesModelo", "EspaçoCultural")
                        .WithMany()
                        .HasForeignKey("EspaçoCulturalId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("PontosCulturais.Models.SegmentoCulturalModelo", "SegmentoCultural")
                        .WithMany()
                        .HasForeignKey("SegmentoCulturalId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroEspaçoCultural.EspaçoCulturalTiposAtividadeModelo", b =>
                {
                    b.HasOne("PontosCulturais.Models.EspaçoCulturalSimplesModelo", "EspaçoCultural")
                        .WithMany()
                        .HasForeignKey("EspaçoCulturalId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("PontosCulturais.Models.CadastroEspaçoCultural.TipoDeAtividadeModelo", "TipoDeAtividade")
                        .WithMany()
                        .HasForeignKey("TipoDeAtividadeId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroEspaçoCultural.OrigemRecursosEspaçoCulturalModelo", b =>
                {
                    b.HasOne("PontosCulturais.Models.EspaçoCulturalSimplesModelo", "EspaçoCultural")
                        .WithMany()
                        .HasForeignKey("EspaçoCulturalId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("PontosCulturais.Models.CadastroEspaçoCultural.OrigemRecursosModelo", "OrigemRecursos")
                        .WithMany()
                        .HasForeignKey("OrigemRecursosId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroPessoaFísica.DocumentosPessoaFísicaModelo", b =>
                {
                    b.HasOne("PontosCulturais.Models.CadastroPessoaFísicaModelo", "PessoaFísica")
                        .WithMany()
                        .HasForeignKey("PessoaFísicaId1");
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroPessoaFísica.ResidenteModelo", b =>
                {
                    b.HasOne("PontosCulturais.Models.CadastroPessoaFísicaModelo", "CadastroPessoaFísicaModelo")
                        .WithMany()
                        .HasForeignKey("CadastroPessoaFísicaModeloId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroPessoaFísica.SegmentoCulturalPessoaFísicaModelo", b =>
                {
                    b.HasOne("PontosCulturais.Models.CadastroPessoaFísicaModelo", "PessoaFísica")
                        .WithMany()
                        .HasForeignKey("PessoaFísicaId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("PontosCulturais.Models.SegmentoCulturalModelo", "SegmentoCultural")
                        .WithMany()
                        .HasForeignKey("SegmentoCulturalId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("PontosCulturais.Models.CadastroPessoaFísicaModelo", b =>
                {
                    b.HasOne("PontosCulturais.Models.CadastroPessoaFísica.BancoModelo", "Banco")
                        .WithMany()
                        .HasForeignKey("BancoId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("PontosCulturais.Models.CadastroPessoaFísica.ComunidadeTradicionalModelo", "ComunidadeTradicional")
                        .WithMany()
                        .HasForeignKey("ComunidadeTradicionalId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("PontosCulturais.Models.CadastroPessoaFísica.DeficiênciaModelo", "Deficiência")
                        .WithMany()
                        .HasForeignKey("DeficiênciaId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("PontosCulturais.Models.CadastroPessoaFísica.FunçãoCulturalModelo", "FunçãoCultural")
                        .WithMany()
                        .HasForeignKey("FunçãoCulturalId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("PontosCulturais.Models.CadastroPessoaFísica.GêneroModelo", "GêneroDeclarado")
                        .WithMany()
                        .HasForeignKey("GêneroDeclaradoId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("PontosCulturais.Models.CadastroPessoaFísica.RaçaModelo", "Raça")
                        .WithMany()
                        .HasForeignKey("RaçaId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("PontosCulturais.Models.CadastroPessoaFísica.SituaçãoTrabalhoModelo", "SituaçãoTrabalho")
                        .WithMany()
                        .HasForeignKey("SituaçãoTrabalhoId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("PontosCulturais.Models.CadastroPessoaFísica.TipoContaBancáriaModelo", "TipoContaBancária")
                        .WithMany()
                        .HasForeignKey("TipoContaBancáriaId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("PontosCulturais.Models.EspaçoCulturalSimplesModelo", b =>
                {
                    b.HasOne("PontosCulturais.Models.CadastroEspaçoCultural.GastoAnualModelo", "GastoAnual")
                        .WithMany()
                        .HasForeignKey("GastoAnualId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("PontosCulturais.Models.CadastroPessoaFísicaModelo", "PessoaFísica")
                        .WithMany()
                        .HasForeignKey("PessoaFísicaId1");

                    b.HasOne("PontosCulturais.Models.CadastroEspaçoCultural.ReceitaAnualModelo", "ReceitaAnual")
                        .WithMany()
                        .HasForeignKey("ReceitaAnualId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("PontosCulturais.Models.CadastroEspaçoCultural.SituaçãoAtividadeModelo", "SituaçãoAtividade")
                        .WithMany()
                        .HasForeignKey("SituaçãoAtividadeId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("PontosCulturais.Models.CadastroEspaçoCultural.SituaçãoBeneficiárioModelo", "SituaçãoEspaço")
                        .WithMany()
                        .HasForeignKey("SituaçãoEspaçoId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });
#pragma warning restore 612, 618
        }
    }
}
